import { lazy } from 'react'
import { IRouterItem, ROUTER_NAME_LIST } from './type'
import { LAYOUT_NAME } from '@layout'

export const routers: IRouterItem[] = [
  {
    path: '/',
    exact: true,
    component: lazy((): Promise<any> => import('@page/Home')),
    layout: LAYOUT_NAME.ADMIN,
    isPrivate: true,
    name: ROUTER_NAME_LIST.HOME
  },
  {
    path: '/login',
    exact: false,
    component: lazy((): Promise<any> => import('@page/Login')),
    layout: LAYOUT_NAME.AUTHEN,
    isPrivate: false,
    name: ROUTER_NAME_LIST.LOGIN
  },
  {
    path: '**',
    exact: true,
    component: lazy((): Promise<any> => import('@page/Home')),
    layout: LAYOUT_NAME.ADMIN,
    isPrivate: true,
    name: ROUTER_NAME_LIST.HOME
  }
]

export * from './type'
